#include "base.as"
#include "races.as"

racesManager races();

int race_0_fall_run_offroadrace_ID;

void main()
{
	races.setCallback('RaceStart', on_RaceStart_event);
	races.setCallback('PenaltyEvent', on_PenaltyEvent_event);
	races.showCheckPointInfoWhenNotInRace = false;

	race_0_fall_run_offroadrace_ID = races.addNewEmptyRace();
	races.setRaceName(race_0_fall_run_offroadrace_ID, "Fall Run OffRoadrace");
	races.setLaps(race_0_fall_run_offroadrace_ID, races.LAPS_One);
	array<array<double>> race_0_coords = {
		{489.703064, 19.802803, 1676.913696, 0.000000, 0.000000, 0.000000},
		{355.109528, 7.869681,  1663.802856, 0.000000, 130.500000, 0.000000},
		{351.204987, 5.462595,  1563.562988, 0.000000, 52.000000, 0.000000},
		{1051.185669, 35.341160,  1550.777100, -0.000000, 41.000000, 0.000000},
		{1079.402100, 5.493242,  1040.946167,  0.000000, 38.500000, -0.000000},
		{1531.145874, 9.564097,  1040.303345, 0.000000, -57.000000, 0.000000},
		{1543.193604, 19.482557,  1438.435791, 0.000000, -79.000000, -0.000000},
		{1530.897583, 4.449360,  1744.688477, 0.000000, -174.000000, 0.000000},
		{1461.404663, 5.714176,  1249.642212, 0.000000, 175.500000, 0.000000},
		{1407.375488, 23.621019,  1448.579712, 0.000000, -93.000000, -0.000000},
		{1385.583496, 5.139770,  1747.339111, 0.000000, 176.000000, 0.000000},
		{1319.745117, 5.575741,  1245.973877, 0.000000, 174.500000, 0.000000},
		{1261.883667, 11.712403,  1743.548828, 0.000000, -165.000000, 0.000000},
		{1180.093018, 5.292774,  1245.585449, -0.000000, 177.000000, -0.000000},
		{1102.049683, 5.461452,  1743.812256, -0.000000, 149.000000, -0.000000},
		{1054.276611, 20.827662,  1673.319580, 0.000000, 154.000000, -0.000000}

	};
	races.addCheckpoint(race_0_fall_run_offroadrace_ID, 0, "ashes48_checkpoint1", race_0_coords[0]);
	races.addCheckpoint(race_0_fall_run_offroadrace_ID, 1, "ashes48_checkpoints", race_0_coords[1]);
	races.addCheckpoint(race_0_fall_run_offroadrace_ID, 2, "ashes48_checkpoints", race_0_coords[2]);
	races.addCheckpoint(race_0_fall_run_offroadrace_ID, 3, "ashes48_checkpoints", race_0_coords[3]);
	races.addCheckpoint(race_0_fall_run_offroadrace_ID, 4, "ashes48_checkpoints", race_0_coords[4]);
	races.addCheckpoint(race_0_fall_run_offroadrace_ID, 5, "ashes48_checkpoints", race_0_coords[5]);
	races.addCheckpoint(race_0_fall_run_offroadrace_ID, 6, "ashes48_checkpoints", race_0_coords[6]);
	races.addCheckpoint(race_0_fall_run_offroadrace_ID, 7, "ashes48_checkpoints", race_0_coords[7]);
	races.addCheckpoint(race_0_fall_run_offroadrace_ID, 8, "ashes48_checkpoints", race_0_coords[8]);
	races.addCheckpoint(race_0_fall_run_offroadrace_ID, 9, "ashes48_checkpoints", race_0_coords[9]);
	races.addCheckpoint(race_0_fall_run_offroadrace_ID, 10, "ashes48_checkpoints", race_0_coords[10]);
	races.addCheckpoint(race_0_fall_run_offroadrace_ID, 11, "ashes48_checkpoints", race_0_coords[11]);
	races.addCheckpoint(race_0_fall_run_offroadrace_ID, 12, "ashes48_checkpoints", race_0_coords[12]);
	races.addCheckpoint(race_0_fall_run_offroadrace_ID, 13, "ashes48_checkpoints", race_0_coords[13]);
	races.addCheckpoint(race_0_fall_run_offroadrace_ID, 14, "ashes48_checkpoints", race_0_coords[14]);
	races.addCheckpoint(race_0_fall_run_offroadrace_ID, 15, "ashes48_checkpoints", race_0_coords[15]);

	races.setPenaltyTime(race_0_fall_run_offroadrace_ID, 10);
	races.finalize(race_0_fall_run_offroadrace_ID);

}
void on_RaceStart_event(dictionary@ event)
{
	int raceID;
	event.get('raceID', raceID);


	// RACESTART SECTION 0 START
	if( raceID == race_0_fall_run_offroadrace_ID )
	{
		races.obligatedFinish = false;
		races.showTimeDiff = true;
		races.showBestLap = true;
		races.showBestRace = true;
		races.submitScore = true;
		races.silentMode = false;
		races.restartRaceOnStart = false;
	}

}
void on_PenaltyEvent_event(dictionary@ event)
{
	int raceID;
	event.get('raceID', raceID);


}
void eventCallback(int eventnum, int value)
{
	races.eventCallback(eventnum, value);
}
